package com.zd.laboratory.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.zd.common.core.web.domain.BaseEntity;
import org.hibernate.validator.constraints.Length;

/**
 * 隐患检查审核日志对象 lab_check_record_detailslog
 *
 * @author zd
 * @date 2022-03-31
 */
@ApiModel("隐患检查审核日志")
public class LabCheckRecordDetailslog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}")
    private Long id;
    /** 检查记录表主键 */
    @Excel(name = "检查记录表主键")
    @ApiModelProperty(value = "检查记录表主键")
    private Long checkId;
    /** 检查详情表主键 */
    @Excel(name = "检查详情表主键")
    @ApiModelProperty(value = "检查详情表主键")
    private Long checkDetailsId;
    /** 整改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "整改时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "整改时间")
    private Date zgTime;
    /** 整改人姓名 */
    @Excel(name = "整改人姓名")
    @Length(message = "整改人姓名长度不能超过255")
    @ApiModelProperty(value = "整改人姓名")
    private String zgUserName;
    /** 整改人id */
    @Excel(name = "整改人id")
    @ApiModelProperty(value = "整改人id")
    private Long zgUserId;
    /** 整改描述 */
    @Excel(name = "整改描述")
    @Length(message = "整改描述长度不能超过255")
    @ApiModelProperty(value = "整改描述")
    private String zgMs;
    /** 整改照片 */
    @Excel(name = "整改照片")
    @Length(message = "整改照片长度不能超过1000")
    @ApiModelProperty(value = "整改照片")
    private String yhZghImg;
    /** 审批时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审批时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "审批时间")
    private Date spTime;
    /** 审核人 */
    @Excel(name = "审核人")
    @Length(message = "审核人长度不能超过255")
    @ApiModelProperty(value = "审核人")
    private String spUserName;
    /** 审核人id */
    @Excel(name = "审核人id")
    @ApiModelProperty(value = "审核人id")
    private Long spUserId;
    /** 审核结果 0驳回 1通过 */
    @Excel(name = "审核结果 0驳回 1通过")
    @ApiModelProperty(value = "审核结果 0驳回 1通过")
    private Long spStatus;
    /** 审批备注 */
    @Excel(name = "审批备注")
    @Length(message = "审批备注长度不能超过255")
    @ApiModelProperty(value = "审批备注")
    private String spSm;

    /** 申请时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm")
    @Excel(name = "申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm")
    @ApiModelProperty(value = "申请时间")
    private Date applyTime;
    /** 申请人姓名 */
    @Excel(name = "申请人姓名")
    @Length(message = "申请人姓名长度不能超过20")
    @ApiModelProperty(value = "审批备注")
    private String applyUserName;
    /** 申请人id  */
    @Excel(name = "申请人id ")
    @ApiModelProperty(value = "申请人id ")
    private Long applyUserId;

    /** 隐患图片 */
    @Excel(name = "隐患图片")
    @Length(message = "隐患图片长度不能超过1000")
    @ApiModelProperty(value = "隐患图片")
    private String applyYhImg;

    public Date getApplyTime() {
        return applyTime;
    }

    public void setApplyTime(Date applyTime) {
        this.applyTime = applyTime;
    }

    public String getApplyUserName() {
        return applyUserName;
    }

    public void setApplyUserName(String applyUserName) {
        this.applyUserName = applyUserName;
    }

    public Long getApplyUserId() {
        return applyUserId;
    }

    public void setApplyUserId(Long applyUserId) {
        this.applyUserId = applyUserId;
    }

    public String getApplyYhImg() {
        return applyYhImg;
    }

    public void setApplyYhImg(String applyYhImg) {
        this.applyYhImg = applyYhImg;
    }
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCheckId(Long checkId)
    {
        this.checkId = checkId;
    }

    public Long getCheckId()
    {
        return checkId;
    }
    public void setCheckDetailsId(Long checkDetailsId)
    {
        this.checkDetailsId = checkDetailsId;
    }

    public Long getCheckDetailsId()
    {
        return checkDetailsId;
    }
    public void setZgTime(Date zgTime)
    {
        this.zgTime = zgTime;
    }

    public Date getZgTime()
    {
        return zgTime;
    }
    public void setZgUserName(String zgUserName)
    {
        this.zgUserName = zgUserName;
    }

    public String getZgUserName()
    {
        return zgUserName;
    }
    public void setZgUserId(Long zgUserId)
    {
        this.zgUserId = zgUserId;
    }

    public Long getZgUserId()
    {
        return zgUserId;
    }
    public void setZgMs(String zgMs)
    {
        this.zgMs = zgMs;
    }

    public String getZgMs()
    {
        return zgMs;
    }
    public void setYhZghImg(String yhZghImg)
    {
        this.yhZghImg = yhZghImg;
    }

    public String getYhZghImg()
    {
        return yhZghImg;
    }
    public void setSpTime(Date spTime)
    {
        this.spTime = spTime;
    }

    public Date getSpTime()
    {
        return spTime;
    }
    public void setSpUserName(String spUserName)
    {
        this.spUserName = spUserName;
    }

    public String getSpUserName()
    {
        return spUserName;
    }
    public void setSpUserId(Long spUserId)
    {
        this.spUserId = spUserId;
    }

    public Long getSpUserId()
    {
        return spUserId;
    }
    public void setSpStatus(Long spStatus)
    {
        this.spStatus = spStatus;
    }

    public Long getSpStatus()
    {
        return spStatus;
    }
    public void setSpSm(String spSm)
    {
        this.spSm = spSm;
    }

    public String getSpSm()
    {
        return spSm;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("checkId", getCheckId())
                .append("checkDetailsId", getCheckDetailsId())
                .append("zgTime", getZgTime())
                .append("zgUserName", getZgUserName())
                .append("zgUserId", getZgUserId())
                .append("zgMs", getZgMs())
                .append("yhZghImg", getYhZghImg())
                .append("spTime", getSpTime())
                .append("spUserName", getSpUserName())
                .append("spUserId", getSpUserId())
                .append("spStatus", getSpStatus())
                .append("spSm", getSpSm())
                .append("createTime", getCreateTime())
                .append("remark", getRemark())
                .append("applyTime", getApplyTime())
                .append("applyUserName", getApplyUserName())
                .append("applyUserId", getApplyUserId())
                .append("applyYhImg", getApplyYhImg())
                .toString();
    }
}